Loading...
Searching...
No Matches
websocketpp::transport::iostream Namespace Reference

Transport policy that uses STL iostream for I/O and does not support timers. More...

## Namespaces

namespace | error
| iostream transport errors

## Classes

class | endpoint
struct | timer
class | connection

## Typedefs

typedef lib::function< lib::error_code(connection_hdl, char const *, size_t)> | write_handler
| The type and signature of the callback used by iostream transport to write.
typedef lib::function< lib::error_code(connection_hdl, std::vector< transport::buffer > const &bufs)> | vector_write_handler
typedef lib::function< lib::error_code(connection_hdl)> | shutdown_handler

## Detailed Description

Transport policy that uses STL iostream for I/O and does not support timers.

## Typedef Documentation

## shutdown_handler

typedef lib::function<lib::error_code(connection_hdl)> websocketpp::transport::iostream::shutdown_handler

The type and signature of the callback used by iostream transport to signal a transport shutdown.

Definition at line 61 of file base.hpp.

## vector_write_handler

typedef lib::function<lib::error_code(connection_hdl, std::vector<transport::buffer> const & bufs)> websocketpp::transport::iostream::vector_write_handler

The type and signature of the callback used by iostream transport to perform vectored writes. If a vectored write handler is not set the standard write handler will be called multiple times.

Definition at line 57 of file base.hpp.

## write_handler

typedef lib::function<lib::error_code(connection_hdl, char const *, size_t)> websocketpp::transport::iostream::write_handler

The type and signature of the callback used by iostream transport to write.

Definition at line 48 of file base.hpp.